Skip to navigation Skip to main content
Menu
ADD ANYTHING HERE OR JUST REMOVE IT…
Login / Register
Sign in Create an Account

Lost your password?

0 items .ރ 0.00
Menu
0 items
JKTC BRAND DIXY PINEAPPLE SLICED IN SYRUP 567G - Image 1
Click to enlarge
Home Uncategorized JKTC BRAND DIXY PINEAPPLE SLICED IN SYRUP 567G
Placeholder
Antabax Shower Cream 250ml Cool .ރ 60.00
Back to products
Parle FAB O Biscuit 50g (Vanilla)
Parle FAB O Biscuit 50g (Vanilla) .ރ 5.00

JKTC BRAND DIXY PINEAPPLE SLICED IN SYRUP 567G

.ރ 38.01

14 in stock

SKU: 10182 Category: Uncategorized
Share:
  • Shipping & Delivery
Shipping & Delivery

Related products

COAST CALCIUM MILK POWDER 1800 g RFC001

.ރ 420.00
Add to cart
Placeholder

COAST CALCIUM MILK POWDER 900 g RFC003

.ރ 220.00
Add to cart

COAST FULL CREAM MILK POWDER 1800 g RFC005

.ރ 410.00
Add to cart

COAST FULL CREAM MILK POWDER 900 g RFC008

.ރ 210.00
Add to cart

COAST MILK POWDER(SACHET) 2250 g RFC009

.ރ 430.00
Add to cart

HAYAT SPAGHETTI 500 g

.ރ 25.00
Add to cart

JULIES PEANUT BUTTER SANDWICH 135 g

.ރ 28.00
Add to cart

SUPER MILK TEA ORIGINAL (24*25s*18g)

.ރ 5.00
Add to cart
    Based on WoodMart theme© 2026 WooCommerce Themes.
    payments
    Start typing to see posts you are looking for.
    • Menu
    • Categories
    Set your categories menu in Header builder -> Mobile -> Mobile menu element -> Show/Hide -> Choose menu
    • Login / Register
    Shopping cart
    Close
    Home
    0 items Cart
    My account